> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch API Logs for a Player

> Retrieves recent API game logs for a specified player UUID, with optional time interval filtering.



## OpenAPI

````yaml https://stash.seraph.si/json get /admin/logs/api/{player}
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /admin/logs/api/{player}:
    get:
      tags:
        - Admin
        - Logs
      summary: Fetch API Logs for a Player
      description: >-
        Retrieves recent API game logs for a specified player UUID, with
        optional time interval filtering.
      parameters:
        - description: Player UUID
          in: path
          name: player
          required: true
          schema:
            type: string
        - description: >-
            Time interval for logs in hours (e.g., '24' for 24 hours). If not
            specified, all logs are returned.
          in: header
          name: ts
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/types.PapihRecentGames'
                type: array
          description: Successfully retrieved API logs
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Bad request, e.g., invalid player UUID or time interval format
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Internal server error
components:
  schemas:
    types.PapihRecentGames:
      properties:
        date_time_ms:
          type: string
        ended:
          type: string
        game_map:
          type: string
        game_mode:
          type: string
        game_type:
          type: string
        player_uuid:
          type: string
        started:
          type: string
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````